<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010-2011 Ruben ARNAUD - rub@piwigo.org                 |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

defined('FACEBOOKPLUG_ROOT_PATH') or trigger_error('Hacking attempt!', E_USER_ERROR);

@set_magic_quotes_runtime(false); // Disable magic_quotes_runtime

//
// addslashes to vars if magic_quotes_gpc is off this is a security
// precaution to prevent someone trying to break out of a SQL statement.
//
if( !@get_magic_quotes_gpc() )
{
  function sanitize_mysql_kv(&$v, $k)
  {
    $v = addslashes($v);
  }
  if( is_array( $_GET ) )
  {
    array_walk_recursive( $_GET, 'sanitize_mysql_kv' );
  }
  if( is_array( $_POST ) )
  {
    array_walk_recursive( $_POST, 'sanitize_mysql_kv' );
  }
  if( is_array( $_COOKIE ) )
  {
    array_walk_recursive( $_COOKIE, 'sanitize_mysql_kv' );
  }
}
if ( !empty($_SERVER["PATH_INFO"]) )
{
  $_SERVER["PATH_INFO"] = addslashes($_SERVER["PATH_INFO"]);
}

require_once(FACEBOOKPLUG_ROOT_PATH . 'include/constants.php');
require_once(FACEBOOKPLUG_ROOT_PATH . 'include/constants_secret.php');
require_once(FACEBOOKPLUG_ROOT_PATH . 'include/facebook.php');
require_once(FACEBOOKPLUG_ROOT_PATH . 'include/functions.php');

// Main global var
$conf = array();

// Default config
include(FACEBOOKPLUG_ROOT_PATH . 'include/config_default.php');

// Log on db
fbp_db_log();

// Init Facebook
$facebook = new Facebook(array(
  'appId'  => FACEBOOK_APP_ID,
  'secret' => FACEBOOK_SECRET,
  'cookie' => true, // enable optional cookie support
));

$session = $facebook->getSession();
//~ var_dump($session);
// Session based graph API call.
if (! $session)
{
  // Redirect to facebook page reconnect
  $url = $facebook->getLoginUrl(
    array
    (
      //ici on demande les permissions email, publication sur le mur, et changement du status
      //'req_perms' => 'email,publish_stream,status_update',
      'req_perms' => 'publish_stream',
      'display' => 'popup',
      'cancel_url' => 'http://'.$_SERVER['HTTP_HOST'].'/'.FBP_VERSION.'/cancel.php'
    ));
  header( 'Request-URI: '.$url );
  header( 'Content-Location: '.$url );
  header( 'Location: '.$url );
  exit();
}

?>