<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010-2011 Ruben ARNAUD - rub@piwigo.org                 |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

define('FACEBOOKPLUG_ROOT_PATH','./');

require_once 'include/common.php';

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <script type="text/javascript" src="http://code.jquery.com/jquery-1.4.4.min.js"></script>
</head>
<body>
  <center>
    <div id="loading"><img src="./image/image_85486.gif" alt="Loading"></div>
    <div id="infos">
      <img src="./image/infos.png" alt="Infos">
      <a id ="info_a" href="" onclick="window.open(this.href); return false;">
        <img src="<?php echo addslashes($_GET['u']) ?>" alt="Image" style="height:50px">
      </a>
    </div>
    <div id="errors">
        <img src="./image/errors.png" alt="Error">
        <textearea id="error_result"></textearea>
    </div>
  </center>
 
  <script type="text/javascript">
    $(document).ready(function () {
      $("#errors").hide();
      $("#infos").hide();
      $.get(
      './do_upload_photo.php',
      {u:"<?php echo addslashes($_GET['u']) ?>", pu: "<?php echo addslashes($_GET['pu']) ?>", pt: "<?php echo addslashes($_GET['pt']) ?>", gt: "<?php echo addslashes($_GET['gt']) ?>"},
      function(data) {
        $("#loading").hide();
        is_ok = ! isNaN(data);
        if (is_ok)
        {
          div_id = "#infos";
          fb_photo_page = 'http://www.facebook.com/photo.php?fbid='+data;
          $('#info_a').attr('href', fb_photo_page);
        }
        else
        {
          div_id = "#errors";
          $('#error_result').html(data);
        }
        $(div_id).show();
        $(div_id).fadeOut(3000, function ()
          {
            if (is_ok) { window.open(fb_photo_page); }
            window.close();
          });
      });
  });
  </script>
<!-- google-analytics -->
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-2272624-7']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
<!-- google-analytics -->
</body>
</html>