<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010-2011 Ruben ARNAUD - rub@piwigo.org                 |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

define('FACEBOOKPLUG_ROOT_PATH','./');

require_once 'include/common.php';

// Check argument
!empty($_GET['u']) or die('Missing argument!');

fbp_mkdir($conf['local_upload_dir']);

$image_url = $_GET['u'];
if (! in_array(strtoupper(pathinfo($image_url, PATHINFO_EXTENSION)), $conf['available_upload_ext']))
{
  die($image_url.' is not a uploaded file: incorrect type');
}

$page_url = @$_GET['pu'];
$page_title = @$_GET['pt'];
$gallery_title = @$_GET['gt'];

//~ $local_filename = $conf['local_upload_dir'].'/'.basename($image_url);
$local_filename = $conf['local_upload_dir'].'/'.md5($image_url.$page_url.$page_title.$gallery_title.$_SERVER['REMOTE_ADDR'].print_r(getdate(), true)).'.'.pathinfo($image_url, PATHINFO_EXTENSION);

// Prevent error for local use, IP are not admitted
//~ $page_url = str_replace('http://127.0.0.1', 'http://localhost', $page_url);

@unlink($local_filename);

@set_time_limit(0);

if ($handle = @fopen($local_filename, 'wb') and fbp_fetchRemote($image_url, $handle))
{
  fclose($handle);
}

if (is_file($local_filename))
{
  try
  {
    $facebook->setFileUploadSupport(true);
    $result = $facebook->api(
      '/me/photos', 'post',
      array(
        'source' => '@'.$local_filename,
        'message' => $page_title.'
'.$gallery_title.'
'. $page_url,
        ));
    // Send Result
    if (isset($result['id']))
    {
      echo $result['id'];
    }
    else
    {
      die($image_url.' not uploaded on Facebook');
    }
   }
   catch (FacebookApiException $e)
   {
    die($image_url.' not uploaded on Facebook');
   }
  unlink($local_filename);
}
else
{
  die($image_url.' not uploaded locally');
}

// Mettre des stats

?>
